xserver: Branch 'master'

GitLab Mirror gitlab-mirror at kemper.freedesktop.org
Mon Sep 4 15:20:40 UTC 2023


 test/scripts/xwayland-piglit.sh |    7 +------
 1 file changed, 1 insertion(+), 6 deletions(-)

New commits:
commit 8cce7f5d64d4f1027801892631b65b2c859cc559
Author: José Expósito <jexposit at redhat.com>
Date:   Fri Aug 25 10:07:03 2023 +0200

    test: Use Xwayland instead of wayland/weston-info
    
    When neither `wayland-info` nor `weston-info` are installed, the
    `xwayland-piglit.sh` script will wait indefinitely for the compositor
    to start.
    
    Use `Xwayland -pogo` instead to wait until weston is initialized.
    
    Closes: https://gitlab.freedesktop.org/xorg/xserver/-/issues/1536
    Reviewed-by: Michel Dänzer <mdaenzer at redhat.com>
    Signed-off-by: José Expósito <jexposit at redhat.com>

diff --git a/test/scripts/xwayland-piglit.sh b/test/scripts/xwayland-piglit.sh
index e746117e3..14f7dec10 100755
--- a/test/scripts/xwayland-piglit.sh
+++ b/test/scripts/xwayland-piglit.sh
@@ -17,13 +17,8 @@ weston --no-config --backend=headless-backend.so --socket=wayland-$$ &
 WESTON_PID=$!
 export WAYLAND_DISPLAY=wayland-$$
 
-# We can use either wayland-info or weston-info (deprecated), depending
-# on what's actually available.
-WAYLAND_INFO=wayland-info
-command -V $WAYLAND_INFO >/dev/null 2>&1 || WAYLAND_INFO=weston-info
-
 # Wait for weston to initialize before starting Xwayland
-timeout --preserve-status 60s bash -c "while ! $WAYLAND_INFO &>/dev/null; do sleep 1; done"
+timeout --preserve-status 60s bash -c "while ! $XSERVER_BUILDDIR/hw/xwayland/Xwayland -pogo &>/dev/null; do sleep 1; done"
 
 # Start an Xwayland server
 export PIGLIT_RESULTS_DIR=$XSERVER_BUILDDIR/test/piglit-results/xwayland


More information about the xorg-commit mailing list